
QGIS Application - Bug report #904

No decorations

2008-01-14 02:34 PM - Magnus Homann

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10963

Description

I can't get decorations (scalebar,nort arrow, copyright) to show in r7965, but in r7761.

History

#1 - 2008-01-16 05:33 AM - Magnus Homann

I've tried with revision  and , both on winxp and ubuntu gutsy. On win I have qt 4.3.3, and on linux I have qt 4.3.2.

On , everything works.

On , un-checking the setting Settings->options->render->'Fix problem with polygon' breaks rendering of north-arrow, scalebar and copyright. If it is 

checked, the decorations appear.

I think it is that the painter sent to the decorations is not always active.

#2 - 2008-01-17 01:16 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Thanks for reporting this. It is fixed now in commit:7c346d91 (SVN r7992)
